/*****************************************************************************
 *                                                                           *
 *  Copyright (c) 1993-1997 Elan Feingold (elan@jeeves.net)                  *
 *                                                                           *
 *     PERMISSION TO USE, COPY, MODIFY, AND TO DISTRIBUTE THIS SOFTWARE      *
 *     AND ITS DOCUMENTATION FOR ANY PURPOSE IS HEREBY GRANTED WITHOUT       *
 *     FEE, PROVIDED THAT THE ABOVE COPYRIGHT NOTICE APPEAR IN ALL           *
 *     COPIES AND MODIFIED COPIES AND THAT BOTH THAT COPYRIGHT NOTICE AND    *
 *     THIS PERMISSION NOTICE APPEAR IN SUPPORTING DOCUMENTATION.  THERE     *
 *     IS NO REPRESENTATIONS ABOUT THE SUITABILITY OF THIS SOFTWARE FOR      *
 *     ANY PURPOSE.  THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS       *
 *     OR IMPLIED WARRANTY.                                                  *
 *                                                                           *
 *****************************************************************************/

#ifndef _GUI_VARS
#define _GUI_VARS

#include <X11/X.h>
#include <X11/Intrinsic.h>

#include "riskgame.h"
#include "colormap.h"

extern Widget wToplevel, wForm;
extern Widget wMap, wControls;
extern Widget wAttackLabel, wAttackList;
extern Widget wActionLabel, wActionList;
extern Widget wMsgDestLabel, wMsgDestList, wMsgDestViewport;
extern Widget wSendMsgText;
extern Widget wMsgText;
extern Widget wPlayField;
extern Widget wCommentLabel, wQuitButton, wRepeatButton, wCancelAttackButton;
extern Widget wHelpButton, wShowCardsButton;
extern Widget wEndTurnButton, wDiceBox;
extern Widget wCurrentPlayer, wErrorLabel;

/* Move to cardView.c */
extern Widget wCardShell, wCardForm, wCardTableBox;
extern Widget wCardViewport, wCardToggle[MAX_CARDS];
extern Widget wExchangeButton, wCancelCardsButton;

/* Move somewhere... */ 
extern Widget wArmiesShell, wArmiesForm, wArmiesLabel, wArmiesText;
extern Widget wFinishArmiesButton, wCancelArmiesButton;

/* Move to helpView.c */
extern Widget wHelpShell, wHelpForm, wHelpTopicViewport, wHelpTopicList;
extern Widget wHelpTopicLabel, wHelpText, wHelpOkButton;
extern Widget wHelpLabel;

/* Move to dialog.c */
extern Widget wDialogShell, wDialogLabel, wDialogButton[3], wDialogForm;
extern Widget wAboutButton;

extern XImage         *pMapImage;
extern Pixmap          pixMapImage;
extern Display        *hDisplay;
extern Window          hWindow;
extern int             iScreen;
extern GC              hGC, hGC_XOR;
extern XFontStruct    *pFont;
extern XtAppContext    appContext;
extern Visual         *pVisual;
extern CString         strResources[];
extern Int32           iVisualCount;
extern Arg             pVisualArgs[3];

#endif
